# I-Ching
The I-Ching (a.k.a. the *Book of Changes*) is an ancient method of divination based on
cleromancy (assigning meaning to the generation of apparently random numbers.) Six numbers
between 6 and 9 are generated in order to create a hexagram, the meaning of which is
contained in the I Ching book.

You can find lots of great information on the 2000+ year history of the I-Ching on
[Wikipedia](https://en.wikipedia.org/wiki/I_Ching)

This app will send an I-Ching horoscope to the pre-configured mailhog instance in configurable intervalls.

This app uses the I-Ching library app https://github.com/Velfi/i-ching.git.

## Configuration
Properties of the app can be configured in the file config.json. It is possible to configure the mail host and port.
It is also possible to configure the intervall of days between the sending of horoscopes and the time of sending. The default is to send one email every seven days at 8 am.

## First Start
The app can be deployed by running:

```bash
$     kubectl apply -f deployment.yaml 
```

When a pod with the app is initally started, one email will be sent to the configured receiver.

## Testing
The Jest unit tests can be run with

```bash
$     npm test
```